#ifndef __MAINFRM_h__
#define __MAINFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/button.h>
#include <wx/panel.h>
////Header Include End

#include "TaskbarIcon.h"

bool g_connected = false;

////Dialog Style Start
#undef MainFrm_STYLE
#define MainFrm_STYLE wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

////////////////////////////////////////////////////////////////////////////
class MainFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		MainFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Tray Test"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = MainFrm_STYLE);
		virtual ~MainFrm();
		
	public:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *btnAus;
		wxButton *btnEin;
		wxButton *WxButton2;
		wxButton *WxButton1;
		wxPanel *WxPanel1;
		////GUI Control Declaration End
		
	public:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_BTNAUS = 1007,
			ID_BTNEIN = 1006,
			ID_WXBUTTON2 = 1005,
			ID_WXBUTTON1 = 1004,
			ID_WXPANEL1 = 1003,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	public:
		void MainFrmClose(wxCloseEvent& event);
		void CreateGUIControls(void);
		void WxButton1Click(wxCommandEvent& event);
		void btnEinClick(wxCommandEvent& event);
		void btnAusClick(wxCommandEvent& event);
		void SetConnected(bool b_connected)	;
	protected:
	    MyTaskBarIcon   *m_taskBarIcon;
};
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
class MainFrmApp : public wxApp
{
	public:
		bool OnInit();
		int OnExit();
};
////////////////////////////////////////////////////////////////////////////



#endif
