// TaskbarIcon.h
#ifndef TASKBARICON_HEADER_INCLUDED
#define TASKBARICON_HEADER_INCLUDED

#include "wx/taskbar.h"
#include "MainFrm.h"

extern MainFrm* frame; 
extern bool g_connected;

////////////////////////////////////////////////////////////////////////////
class MyTaskBarIcon: public wxTaskBarIcon
{
public:
    MyTaskBarIcon()
    {}

    void OnLeftButtonDClick(wxTaskBarIconEvent&);
    void OnMenuRestore(wxCommandEvent&);
    void OnMenuExit(wxCommandEvent&);
    void OnMenuRunning(wxCommandEvent&);
    void OnMenuUIRunning(wxUpdateUIEvent&);
    void OnMenuStopped(wxCommandEvent&);
	void OnMenuUIStopped(wxUpdateUIEvent&);
	void UpdateIcon(void);
    virtual wxMenu *CreatePopupMenu();

DECLARE_EVENT_TABLE()
};

#endif
