//---------------------------------------------------------------------------

#include "MainFrm.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

MainFrm* frame = NULL;

//----------------------------------------------------------------------------
// MainFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(MainFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(MainFrm::MainFrmClose)
	EVT_BUTTON(ID_BTNAUS,MainFrm::btnAusClick)
	EVT_BUTTON(ID_BTNEIN,MainFrm::btnEinClick)
	EVT_BUTTON(ID_WXBUTTON1,MainFrm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

MainFrm::MainFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

MainFrm::~MainFrm()
{
	delete m_taskBarIcon;
}

void MainFrm::CreateGUIControls(void)
{
	//Do not add custom code here
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxPanel1 = new wxPanel(this, ID_WXPANEL1, wxPoint(0,0), wxSize(314,223));

	WxButton1 = new wxButton(WxPanel1, ID_WXBUTTON1, wxT("Hide"), wxPoint(101,51), wxSize(107,45), 0, wxDefaultValidator, wxT("WxButton1"));

	WxButton2 = new wxButton(WxPanel1, ID_WXBUTTON2, wxT("WxButton2"), wxPoint(34,148), wxSize(2,1), 0, wxDefaultValidator, wxT("WxButton2"));

	btnEin = new wxButton(WxPanel1, ID_BTNEIN, wxT("Ein"), wxPoint(61,114), wxSize(96,44), 0, wxDefaultValidator, wxT("btnEin"));

	btnAus = new wxButton(WxPanel1, ID_BTNAUS, wxT("Aus"), wxPoint(172,113), wxSize(110,41), 0, wxDefaultValidator, wxT("btnAus"));

	this->SetSize(8,8,322,250);
	this->SetTitle(wxT("Tray Test"));
	this->Center();
	this->SetIcon(wxNullIcon);
	
	////GUI Items Creation End
	m_taskBarIcon = new MyTaskBarIcon();

  	if (!m_taskBarIcon->SetIcon(wxICON(ic_disconn), wxT("wxTrax: nicht verbunden")))
        wxMessageBox(wxT("Could not set icon."));
}

void MainFrm::MainFrmClose(wxCloseEvent& event)
{
    Destroy();
}
 
void MainFrm::SetConnected(bool b_connected)
{
	g_connected = b_connected;
	m_taskBarIcon->UpdateIcon();
}

////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
IMPLEMENT_APP(MainFrmApp)

bool MainFrmApp::OnInit()
{
	frame = new MainFrm(NULL);
    frame->Show(true);		
    return true;
}
 
int MainFrmApp::OnExit()
{
	return 0;
}
////////////////////////////////////////////////////////////////////////////

void MainFrm::WxButton1Click(wxCommandEvent& event)
{
	Show(false);
}

void MainFrm::btnEinClick(wxCommandEvent& event)
{
	SetConnected(true);
}

void MainFrm::btnAusClick(wxCommandEvent& event)
{
	SetConnected(false);
}
